Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class PointAttributes

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.NodeComponent
              javax.media.j3d.PointAttributes

    public class PointAttributes

extends NodeComponent

The PointAttributes object defines all attributes that apply to point primitives. The point attributes that can be defined are:

- Size - the size of the point, in pixels. The default is a point size of one pixel.

- Antialiasing - for points greater than one-pixel in size, antialiasing smooths the outline of the point when it is rendered.

If antialiasing is disabled (the default), fractional point sizes are rounded to integer sizes, and a screen-aligned square region of pixels is drawn.

If antialiasing is enabled, the points are considered transparent for rendering purposes. They are rendered with all the other transparent objects and adhere to the other transparency settings such as the View transparency sorting policy and the View depth buffer freeze transparent enable.

See Also:
  `Appearance`, `View`

Field Summary
`static int` | `ALLOW_ANTIALIASING_READ` Specifies that this PointAttributes object allows reading its point antialiasing flag.
`static int` | `ALLOW_ANTIALIASING_WRITE` Specifies that this PointAttributes object allows writing its point antialiasing flag.
`static int` | `ALLOW_SIZE_READ` Specifies that this PointAttributes object allows reading its point size information.
`static int` | `ALLOW_SIZE_WRITE` Specifies that this PointAttributes object allows writing its point size information.

Constructor Summary
`PointAttributes()` Constructs a PointAttributes object with default parameters.
`PointAttributes(float pointSize, boolean pointAntialiasing)` Constructs a PointAttributes object with specified values.

Method Summary
`NodeComponent` | `cloneNodeComponent()` Deprecated. replaced with cloneNodeComponent(boolean forceDuplicate)
`boolean` | `getPointAntialiasingEnable()` Retrieves the state of the point antialiasing flag.
`float` | `getPointSize()` Gets the point size for this appearance component object.
`void` | `setPointAntialiasingEnable(boolean state)` Enables or disables point antialiasing for this appearance component object.
`void` | `setPointSize(float pointSize)` Sets the point size for this appearance component object.

Methods inherited from class javax.media.j3d.NodeComponent
`cloneNodeComponent, duplicateNodeComponent, duplicateNodeComponent, getDuplicateOnCloneTree, setDuplicateOnCloneTree`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setUserData, updateNodeReferences`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALLOW_SIZE_READ

    public static final int ALLOW_SIZE_READ

  Specifies that this PointAttributes object allows reading its point size information.

  See Also:
    Constant Field Values

### ALLOW_SIZE_WRITE

    public static final int ALLOW_SIZE_WRITE

  Specifies that this PointAttributes object allows writing its point size information.

  See Also:
    Constant Field Values

### ALLOW_ANTIALIASING_READ

    public static final int ALLOW_ANTIALIASING_READ

  Specifies that this PointAttributes object allows reading its point antialiasing flag.

  See Also:
    Constant Field Values

### ALLOW_ANTIALIASING_WRITE

    public static final int ALLOW_ANTIALIASING_WRITE

  Specifies that this PointAttributes object allows writing its point antialiasing flag.

  See Also:
    Constant Field Values

Constructor Detail

### PointAttributes

    public PointAttributes()

  Constructs a PointAttributes object with default parameters. The default values are as follows:
  point size : 1
  point antialiasing : false

### PointAttributes

    public PointAttributes(float pointSize,
                           boolean pointAntialiasing)

  Constructs a PointAttributes object with specified values.

  Parameters:
    `pointSize` - the size of points, in pixels
    `pointAntialiasing` - flag to set point antialising ON or OFF

Method Detail

### setPointSize

    public void setPointSize(float pointSize)

  Sets the point size for this appearance component object.

  Parameters:
    `pointSize` - the size, in pixels, of point primitives
  Throws:
    `CapabilityNotSetException` - if appropriate capability is not set and this object is part of live or compiled scene graph

### getPointSize

    public float getPointSize()

  Gets the point size for this appearance component object.

  Returns:
    the size, in pixels, of point primitives
  Throws:
    `CapabilityNotSetException` - if appropriate capability is not set and this object is part of live or compiled scene graph

### setPointAntialiasingEnable

    public void setPointAntialiasingEnable(boolean state)

  Enables or disables point antialiasing for this appearance component object.

  If antialiasing is enabled, the points are considered transparent for rendering purposes. They are rendered with all the other transparent objects and adhere to the other transparency settings such as the View transparency sorting policy and the View depth buffer freeze transparent enable.

  Parameters:
    `state` - true or false to enable or disable point antialiasing
  Throws:
    `CapabilityNotSetException` - if appropriate capability is not set and this object is part of live or compiled scene graph
  See Also:
    `View`

### getPointAntialiasingEnable

    public boolean getPointAntialiasingEnable()

  Retrieves the state of the point antialiasing flag.

  Returns:
    true if point antialiasing is enabled, false if point antialiasing is disabled
  Throws:
    `CapabilityNotSetException` - if appropriate capability is not set and this object is part of live or compiled scene graph

### cloneNodeComponent

    public NodeComponent cloneNodeComponent()

  Deprecated. replaced with cloneNodeComponent(boolean forceDuplicate)

  Overrides:
    `cloneNodeComponent` in class `NodeComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD